QwtCompass(3)

NAME
QwtCompass -

SYNOPSIS

Inherits QwtDial.

Detailed Description

A Compass Widget. QwtCompass is a widget to display and enter directions. It consists of a scale, an optional needle and rose.

Note:
    The examples/dials example shows how to use QwtCompass.

Definition at line 36 of file qwt_compass.h.

  Public Member Functions
QwtCompass (QWidget *parent=0, const char *name=0)
virtual ~QwtCompass ()
void setRose (QwtCompassRose *rose)
const QwtCompassRose * rose () const
QwtCompassRose * rose ()
const QMap< double, QString > & labelMap () const
QMap< double, QString > & labelMap ()
void setLabelMap (const QMap< double, QString > &map)

  Protected Member Functions
virtual QString scaleLabel (double value) const
virtual void drawRose (QPainter *, const QPoint &center, int radius, double north, QPalette::ColorGroup) const
virtual void drawScaleContents (QPainter *, const QPoint &center, int radius) const
virtual void keyPressEvent (QKeyEvent *)

Constructor & Destructor Documentation

  QwtCompass::QwtCompass (QWidget * parent = 0, const char * name = 0)

Constructor.

Parameters:
    parent Parent widget
    name Widget name

Create a compass widget with a scale, no needle and no rose. The default origin is 270.0 with no valid value. It accepts mouse and keyboard inputs and has no step size. The default mode is QwtDial::RotateNeedle. Definition at line 34 of file qwt_compass.cpp.

References QwtDial::setOrigin(), QwtDial::setScaleOptions(), and QwtDial::setWrapping().

  QwtCompass::~QwtCompass () [virtual]

Destructor.

Definition at line 66 of file qwt_compass.cpp.

Member Function Documentation

  void QwtCompass::drawRose (QPainter * painter, const QPoint & center, int radius, double north, QPalette::ColorGroup cg) const [protected, virtual]

Draw the compass rose

Parameters:
    painter Painter
    center Center of the compass
    radius of the circle, where to paint the rose
    north Direction pointing north, in degrees counter clockwise
    cg Color group

Definition at line 101 of file qwt_compass.cpp.

Referenced by drawScaleContents().

  void QwtCompass::drawScaleContents (QPainter *, const QPoint & center, int radius) const [protected, virtual]

Draw the contents of the scale.

Reimplemented from QwtDial.

Definition at line 72 of file qwt_compass.cpp.

References drawRose(), QwtSliderBase::isValid(), QwtDial::mode(), QwtDial::origin(), and QwtDblRange::value().

  void QwtCompass::keyPressEvent (QKeyEvent * kev) [protected, virtual]

Handles key events

Beside the keys described in QwtDial::keyPressEvent numbers from 1-9 (without 5) set the direction according to their position on the num pad.

See also:
    isReadOnly()

Reimplemented from QwtDial.

Definition at line 154 of file qwt_compass.cpp.

References QwtSliderBase::isReadOnly(), QwtDial::keyPressEvent(), QwtDial::mode(), QwtDial::origin(), QwtSliderBase::setValue(), and QwtDblRange::value().

  QMap< double, QString > & QwtCompass::labelMap ()

Returns:
    map, mapping values to labels

See also:
    QwtCompass::setLabelMap

Definition at line 223 of file qwt_compass.cpp.

  const QMap< double, QString > & QwtCompass::labelMap () const

Returns:
    map, mapping values to labels

See also:
    QwtCompass::setLabelMap

Definition at line 214 of file qwt_compass.cpp.

  QwtCompassRose * QwtCompass::rose ()

Returns:
    rose

See also:
    QwtCompass::setRose

Definition at line 140 of file qwt_compass.cpp.

  const QwtCompassRose * QwtCompass::rose () const

Returns:
    rose

See also:
    QwtCompass::setRose

Definition at line 131 of file qwt_compass.cpp.

  QString QwtCompass::scaleLabel (double value) const [protected, virtual]

Map a value to a corresponding label

Parameters:
    value Value that will be mapped

Returns:
    Label, or QString::null

label() looks in a map for a corresponding label for value or return QString::null.

See also:
    QwtCompass::labelMap, QwtCompass::setLabelMap

Reimplemented from QwtDial.

Definition at line 255 of file qwt_compass.cpp.

  void QwtCompass::setLabelMap (const QMap< double, QString > & map)

Set a map, mapping values to labels.

Parameters:
    map value to label map

The values of the major ticks are found by looking into this map. The default map consists of the labels N, NE, E, SE, S, SW, W, NW.

Warning:
    The map will have no effect for values that are no major tick values. Major ticks can be changed by QwtScaleDraw::setScale

See also:
    QwtCompass::labelMap, QwtCompass::scaleDraw, QwtScaleDraw::setScale

Definition at line 240 of file qwt_compass.cpp.

  void QwtCompass::setRose (QwtCompassRose * rose)

Set a rose for the compass

Parameters:
    rose Compass rose

Warning:
    The rose will be deleted, when a different rose is set or in ~QwtCompass

See also:
    QwtCompass::rose

Definition at line 115 of file qwt_compass.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.